请使用 google play 版本的 SDK 集成并上架到 google 商店(Please use the SDK integration of the Google Play version and go to the Google Store)

标签: #<Tag:0x00007f657d7af460>

尊敬的极光客户:

近期不少开发者遇到应用被 google 商店下架的问题,极光有提供遵循 google 要求的 google play 版本的 SDK,请使用该版本的 SDK 集成上架。

建议大家仅针对 google 上架使用该版本的 SDK,若国内其他商店也使用,可能会存在如下问题:

  1. 加大了每次卸载重新安装后,产生新的 regid 的可能性
  2. 部分统计指标用不了

google play 版本 SDK 仅支持手动集成,如果有同时集成极光的多个 SDK(JPush、JMessage、JAnalytics等),则替换 JCore 即可

资源下载页面:https://docs.jiguang.cn/jpush/resources/
直接下载链接:https://sdkfiledl.jiguang.cn/sdk/jpush-android-3.3.4-google_play.zip

极光隐私政策:https://www.jiguang.cn/license/privacy
极光开发者服务协议:https://www.jiguang.cn/license
合规指南:文档


​Dear JIGUANG customers:

Recently, many developers’applications have been knocked off the shelf by Google. Aurora has provided a version of SDK that follows the requirements of Google. Please use this version of SDK for integration.

It is recommended that you use this version of SDK only for Google on the shelf. If it is also used in other stores in China, there may be the following problems:

  1. Increased the possibility of creating new regids after each uninstall and reinstallation
  2. Some statistical indicators are not available

Google Play SDK only supports manual integration, If you integrate multiple SDKs (such as JPush, JMessage, JAnalytics, etc.) at the same time, replace the core resource package JCore.

Resource Download Page: https://docs.jiguang.cn/jpush/resources/
Direct download link: https://sdkfiledl.jiguang.cn/sdk/jpush-android-3.3.4-google_play.zip

apicloud中创建的应用引用了极光模块,现在被google商店下架,这种情况改如何解决啊??
Issue: Violation of Personal and Sensitive Information policy

We’ve identified that your app is using an SDK or library that facilitates the collection and transmission of installed packages information without meeting the prominent disclosure guidelines.

If necessary, you can consult your SDK provider(s) for further information.

Next steps: Submit your app for another review

  1. Read through the Personal and Sensitive Information policy and make the appropriate changes to your app. Your app is using the Jiguang SDK , which is uploading users Installed Packages information without a prominent disclosure. Prior to the collection and transmission, it must prominently highlight how the user data will be used, describe the type of data being collected and have the user provide affirmative consent for such use. Make sure to also post a privacy policy in both the designated field in the Play Developer Console and from within the Play distributed app itself.
  2. Make sure your app is compliant with the User Data policy and all other Developer Program Policies. Additional enforcement could occur if there are further policy violations.
  3. Sign in to your Play Console and upload the modified, policy compliant APK. Make sure to increment the version number of the APK.
  4. Submit your app.

APICloud 他们封装了极光的SDK,我们并不清楚如何替换资源,请咨询 APICloud 的官方人员,如何将普遍的SDK资源更换为极光的 google play版本

Apicloud给出的答复是联系极光。请问谁能给出解决办法??!!

1、APICloud 封装了极光的SDK,怎么封装的,我们不清楚

2、我们已经提供了可用的资源包,只要你知道如何替换包就可以了,其他的不需要改动,而如何替换,这需要他们来处理,是他们做的封装,我们能做的已经做了(提供了 google play版本的 SDK)。

1、有人已经换了吗,已经上架了吗

1、Prior to the collection and transmission, it must prominently highlight how the user data will be used, describe the type of data being collected and have the user provide affirmative consent for such use
2、这个是不是只要提示用户就行了,

更换后上架的开发者未再有后续反馈,说明是上架成功了。

你们可以根据谷歌要求申请一下权限,极光相关文档中包含了谷歌要求提供的信息,可以选择性的添加上,是不是仅提示用户权限用途不用更换SDK就可以的问题,这个我们没有测试验证。

极光隐私政策:https://www.jiguang.cn/license/privacy
极光开发者服务协议:https://www.jiguang.cn/license
合规指南:文档

是不是使用了极光的都得换

你要上架到谷歌商店的,就更换。

是不是得把之前的SDK删掉,添加进去后,只需要配置就行,接口名字跟以前的一样,不需要更改吗

是,同一个版本的就不需要修改,如果是旧版本升级到新版本,和普通版本的升级一样,需要注意Androidmanifest 可能有更新的,看集成文档和集成日志来判断

国内版本是不是就不能用这个SDK

可以用,不影响基本推送功能,可能影响的在第一帖有说明

11个帖子被分离到新主题关于 push通知栏图标的问题

请问 jpush-phonegap-plugin 更新到最新版后可以解决这个问题吗?还是仍然需要手动集成google play 版本的 SDK

需要手动替换 google play 的SDK,插件都是用的普通版的SDK

请问插件版的替换流程是怎样?按上面的操作手册替换后,无法获取到ID